# Twig Casings

## Overview

  Have you ever been in twig and thought: "I just want a filter to make my string camelCase or snake_case or PascalCase?" This module will allow you to pass any string with spaces, dashes, or underscores to a twig filter than can do this!

## Features

  The available filters are:

  `{{ 'Some-string-with-dashes-in-it'|camel_case }}` will output `someStringWithDashesInIt`.

  `{{ 'Some string with spaces in it'|kebab_case }}` will output `some-string-with-spaces-in-it`.

  `{{ 'Some-string-with-dashes-in-it'|pascal_case }}` will output `SomeStringWithDashesInIt`.

  `{{ 'Some string with spaces in it'|snake_case }}` will output `some_string_with_spaces_in_it`.

## Requirements

  A Drupal 10+ installation.
  A custom or existing theme to use the twig filters.

## Installation

  Install using `composer require twig_casings`.
  Enable the module in the Drupal UI or by using the following Drush command:
  `drush en twig_casings`

## Support

  If you encounter any issues or have questions about the module, please feel free to submit a support request or contribute on the project's repository.
